Delete image | Moov Documentation

Delete image

Disable an image by its ID.

Disabled images are still be accessible via their public URL, and cannot be assigned to products or line-items.

Request Method

DELETE

Endpoint

/accounts/{accountID}/images/{imageID}

Example Request

curl -X DELETE "https://api.moov.io/accounts/{accountID}/images/{imageID}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"

SDK Examples

TypeScript

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.images.delete({
    accountID: "866c32ce-2536-4b21-8e12-f8c474fb2a9b",
    imageID: "ca048253-31d2-4bfb-9077-1f07a2a09f26",
  });

console.log(result);
}

run();

PHP

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\